﻿using SqlSugar;
using System.ComponentModel;
using Hotline.Permissions;
using XF.Domain.Entities;
using XF.Domain.Repository;

namespace Hotline.Settings
{
    [Description("权限分配")]
    public class SystemAuthority : CreationEntity
    {
        /// <summary>
        /// 角色ID
        /// </summary>
        public string RoleId { get; set; }

        /// <summary>
        /// 角色Code
        /// </summary>
        public string RoleCode { get; set; }

        /// <summary>
        /// 菜单ID
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true)]
        public List<string> SystemMenuArr { get; set; }

        /// <summary>
        /// 功能点
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true)]
        public List<string> SystemButtonArr { get; set; }

        public List<string> GetAllPermissions()
        {
            var permissions = new List<string>(SystemMenuArr);
            permissions.AddRange(SystemButtonArr);
            return permissions.Select(d=>Enum.Parse<EPermission>(d).ToString()).Distinct().ToList();
        }
    }

    public class SystemMenuAuth
    {
        public string mcode { get; set; }

        public string mname { get; set; }

        public List<SystemMenuAuth> child { get; set; }

        public List<SystemButtonAuth> btnarr { get; set; }
    }

    public class SystemButtonAuth
    {
        public string bcode { get; set; }

        public string bname { get; set; }
    }
}
